# yaml-language-server: $schema=https://promptfoo.dev/config-schema.json
description: xAI Responses API search demo

prompts:
  - 'What is the latest news about {{topic}}?'

providers:
  # Grok 4.3 with web + X search
  - id: xai:responses:grok-4.3
    label: grok-4.3-web-and-x-search
    config:
      temperature: 0.7
      max_output_tokens: 2048
      tools:
        - type: web_search
        - type: x_search

  # Grok 4.3 with web search only
  - id: xai:responses:grok-4.3
    label: grok-4.3-web-search
    config:
      tools:
        - type: web_search

tests:
  - vars:
      topic: xAI
  - vars:
      topic: artificial intelligence breakthroughs
